Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DetachVpnGatewayRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DetachVpnGatewayRequest

    public class DetachVpnGatewayRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DetachVpnGateway operation`.

Detaches a VPN gateway from a VPC. You do this if you're planning to turn off the VPC and not use it anymore. You can confirm a VPN gateway has been completely detached from a VPC by describing the VPN gateway (any attachments to the VPN gateway are also described).

You must wait for the attachment's state to switch to detached before you can delete the VPC or attach a different VPC to the VPN gateway.

See Also:
  `AmazonEC2.detachVpnGateway(DetachVpnGatewayRequest)`

Constructor Summary
`DetachVpnGatewayRequest()`

Method Summary
`String` | `getVpcId()` The ID of the VPC to detach the VPN gateway from.
`String` | `getVpnGatewayId()` The ID of the VPN gateway to detach from the VPC.
`void` | `setVpcId(String vpcId)` The ID of the VPC to detach the VPN gateway from.
`void` | `setVpnGatewayId(String vpnGatewayId)` The ID of the VPN gateway to detach from the VPC.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DetachVpnGatewayRequest` | `withVpcId(String vpcId)` The ID of the VPC to detach the VPN gateway from.
`DetachVpnGatewayRequest` | `withVpnGatewayId(String vpnGatewayId)` The ID of the VPN gateway to detach from the VPC.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DetachVpnGatewayRequest

    public DetachVpnGatewayRequest()

Method Detail

### getVpnGatewayId

    public String getVpnGatewayId()

  The ID of the VPN gateway to detach from the VPC.

  Returns:
    The ID of the VPN gateway to detach from the VPC.

### setVpnGatewayId

    public void setVpnGatewayId(String vpnGatewayId)

  The ID of the VPN gateway to detach from the VPC.

  Parameters:
    `vpnGatewayId` - The ID of the VPN gateway to detach from the VPC.

### withVpnGatewayId

    public DetachVpnGatewayRequest withVpnGatewayId(String vpnGatewayId)

  The ID of the VPN gateway to detach from the VPC.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpnGatewayId` - The ID of the VPN gateway to detach from the VPC.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVpcId

    public String getVpcId()

  The ID of the VPC to detach the VPN gateway from.

  Returns:
    The ID of the VPC to detach the VPN gateway from.

### setVpcId

    public void setVpcId(String vpcId)

  The ID of the VPC to detach the VPN gateway from.

  Parameters:
    `vpcId` - The ID of the VPC to detach the VPN gateway from.

### withVpcId

    public DetachVpnGatewayRequest withVpcId(String vpcId)

  The ID of the VPC to detach the VPN gateway from.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcId` - The ID of the VPC to detach the VPN gateway from.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.